UpgradeRecipientAccount
This function is used to upgrade a user from a free account, where the user has few privileges, to a paid account plan. The function changes the UserType/UserStatus of the account from Recipient/Active to CompanyUser/Active.
This function uses the UserName/Password/IntegratorKey authentication and requires System Administrator or Account Administrator privileges. It takes the arguments:
Arguments
| Name | Schema Type | Description |
|---|---|---|
| DistributorCode | String | The Distributor Code that identifies the billing plan groups and plans. |
| DistributorPassword | String | The Distributor Password for the DistributorCode. |
| AccountId | String | The Account ID associated with the user. |
| UserId | String | The ID of the user associated with the account. |
| Pgp | String | The plan group plan for the user. |
| CreditCardInformation | CreditCardInformation | This complex type has information about the credit card used to pay for this account. It included the elements: ccNumber, ccExpirationMonth, ccExpirationYear, ccUserName, and ccType. |
| ReferralInformation | ReferralInformation | This complex type contains the following information: EnableSupport, IncludedSeats, ReferrerName, ReferralCode, AdvertisementID, PublisherID, ShopperID, PromoCode, GroupMemberID, IdType, and Industry. |
| AccountSettings | AccountSettings | This complex type contains the following information: attachCompletedEnvelope, envelopeIntegrationAllowed, envelopeIntegrationEnabled and UseAccountLevelEmail. Note, the complete AccountSettings structure exists for this, but only the above fields are used within this API. |
| AddressInformation | AddressInformation | This complex type contains the following information: Street1, Street2, City, State, Zip, Phone, and Fax. |
Sample Request XML
POST /api/3.0/accountmanagement.asmx HTTP/1.1Host: docusign.netContent-Type: text/xml; charset=utf-8Content-Length: lengthSOAPAction: "http://www.docusign.net/API/AccountManagement/UpgradeRecipientAccount"<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><UpgradeRecipientAccount xmlns="http://www.docusign.net/API/AccountManagement"><DistributorCode>string</DistributorCode><DistributorPassword>string</DistributorPassword><AccountId>string</AccountId><UserId>string</UserId><Pgp>string</Pgp><CreditCardInformation><ccNumber>string</ccNumber><ccExpirationMonth>string</ccExpirationMonth><ccExpirationYear>string</ccExpirationYear><ccUserName>string</ccUserName><ccType>string</ccType></CreditCardInformation><ReferralInformation><EnableSupport>boolean</EnableSupport><IncludedSeats>positiveInteger</IncludedSeats><SaleDiscountPercent>decimal</SaleDiscountPercent><PlanStartMonth>positiveInteger</PlanStartMonth><ReferrerName>string</ReferrerName><ReferralCode>string</ReferralCode><AdvertisementID>string</AdvertisementID><PublisherID>string</PublisherID><ShopperID>string</ShopperID><PromoCode>string</PromoCode><GroupMemberID>string</GroupMemberID><IdType>string</IdType><Industry>string</Industry></ReferralInformation><AccountSettings><UsesAPI>boolean</UsesAPI><EnableDSPro>boolean</EnableDSPro><EnableSendToManage>boolean</EnableSendToManage><EnableSendToAgent>boolean</EnableSendToAgent><EnableVaulting>boolean</EnableVaulting><EnableEnvelopeStampingByAccountAdmin>boolean</EnableEnvelopeStampingByAccountAdmin><EnvelopeStampingDefaultValue>boolean</EnvelopeStampingDefaultValue><SignerMustHaveAccount>boolean</SignerMustHaveAccount><SignerMustLoginToSign>boolean</SignerMustLoginToSign><SignerCanCreateAccount>boolean</SignerCanCreateAccount><AllowInPerson>boolean</AllowInPerson><EnablePowerForm>boolean</EnablePowerForm><AllowSignerReassign>boolean</AllowSignerReassign><EnableReservedDomain>boolean</EnableReservedDomain><EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI><EnableSequentialSigningUI>boolean</EnableSequentialSigningUI><EnableAutoNav>boolean</EnableAutoNav><AutoNavRule>bytes</AutoNavRule><EnableTransactionPoint>boolean</EnableTransactionPoint><EnvelopeIntegrationAllowed>bytes</EnvelopeIntegrationAllowed><EnvelopeIntegrationEnabled>boolean</EnvelopeIntegrationEnabled><CanSelfBrandSend>boolean</CanSelfBrandSend><CanSelfBrandSign>boolean</CanSelfBrandSign><IDCheckRequired>bytes</IDCheckRequired><IDCheckExpire>bytes</IDCheckExpire><IDCheckExpireDays>integer</IDCheckExpireDays><SignDateFormat>string</SignDateFormat><PKISignDownloadedPDFDocs>bytes</PKISignDownloadedPDFDocs><InPersonIDCheckQuestion>string</InPersonIDCheckQuestion><SessionTimeout>integer</SessionTimeout><AttachCompletedEnvelope>boolean</AttachCompletedEnvelope><SignerCanSignOnMobile>boolean</SignerCanSignOnMobile><SignerShowSecureFieldInitialValues>boolean</SignerShowSecureFieldInitialValues><SignerAttachCertificateToEnvelopePDF>boolean</SignerAttachCertificateToEnvelopePDF><EnableSignOnPaper>boolean</EnableSignOnPaper><EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride><EnableSignerAttachments>boolean</EnableSignerAttachments><UseAccountLevelEmail>boolean</UseAccountLevelEmail></AccountSettings><AddressInformation><Address1>string</Address1><Address2>string</Address2><City>string</City><State>string</State><Zip>string</Zip><Phone>string</Phone><Fax>string</Fax></AddressInformation></UpgradeRecipientAccount></soap:Body></soap:Envelope>
The user being upgraded must have a UserType/UserStatus of Recipient/Active or the call will result in an error. The call returns either a success or failure. If the call fails an error code is provided.
Sample Response XML
HTTP/1.1 200 OKContent-Type: text/xml; charset=utf-8Content-Length: length<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><UpgradeRecipientAccountResponse xmlns="http://www.docusign.net/API/AccountManagement"><UpgradeRecipientAccountResult><Success>boolean</Success><Error><ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode><Description>string</Description></Error></UpgradeRecipientAccountResult></UpgradeRecipientAccountResponse></soap:Body></soap:Envelope>